NAT Gateway

Create NAT Gateway

post/nat-gateway/

Create a NAT Gateway. An existing private network is required (passed by UUID) and the gateway is allocated a public IPv4 and IPv6 floating IP from the network's location. Both IPs must be available: the request is rejected if either one cannot be allocated.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Request body

Create a new NAT Gateway

application/jsonRequired
name*string

NAT Gateway name

Range1 ≤ length ≤ 100
label?string | null

Optional label

Rangelength ≤ 255
plan_name*string

Plan name

Range1 ≤ length ≤ 50
network_id*integer

ID of the private network

Range0 < value
project_id?integer | null

Project ID (inferred from the network if not specified)

Range0 < value

Responses

Successful Response

application/json

uuid*string
name*string
label?string | null
status*string
plan*NgPlanDetailOut

Plan the NAT Gateway runs on.

Properties (6)
uuid*string
name*string
description?string | null
price_per_hour*number
bandwidth_mbps?integer | null
connections_per_second?integer | null
location_name?string | null
location_description?string | null
project_id?integer | null
project_name?string | null
network_id?integer | null
network_name?string | null
network_cidr?string | null
private_ip?string | null
monthly_charges?number
Default0
floating_ip?NgFloatingIPOut | null

Public IP assigned to a NAT Gateway.

Properties (4)
address*string
netmask?string | null
type?string | null
rdns?string | null
protected?boolean
Defaultfalse
created_at?string | null
updated_at?string | null